## tdepim-trinity 14.2.0~pre142

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup #####################

project( tdepim )
set( PACKAGE tdepim )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckTypeSize )
include( CheckCSourceCompiles )
include( CheckCXXSourceCompiles )
include( CheckLibraryExists )
include( CheckSymbolExists )
enable_testing( )


##### include our cmake modules #################

include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### add apidox targets ############

add_custom_target( apidox
  COMMAND ${CMAKE_COMMAND} -E env
    "TQTDOCDIR=/usr/share/tqt3/doc/html"
    "DOXDATA=${HTML_INSTALL_DIR}/en/common"
    ${CMAKE_SOURCE_DIR}/admin/doxygen.sh
    --no-modulename
    ${CMAKE_SOURCE_DIR}
  COMMAND
    find ${CMAKE_BINARY_DIR}/apidocs -name '*.html' |
    xargs -r sed -i 's|${CMAKE_BINARY_DIR}/apidocs|${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs|g'
  COMMAND
    find ${CMAKE_BINARY_DIR}/apidocs -name '*.tag' |
    xargs -r sed -i 's|${CMAKE_SOURCE_DIR}/|${PROJECT_NAME}/|g'
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

add_custom_target( install-apidox
  COMMAND ${CMAKE_COMMAND} -E echo Apidox installed in ${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs
)

install( CODE "
  if( EXISTS ${CMAKE_BINARY_DIR}/apidocs )
    file(
      INSTALL ${CMAKE_BINARY_DIR}/apidocs/
      DESTINATION ${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs
      PATTERN doxygen_sqlite3.db EXCLUDE
      PATTERN installdox-slow EXCLUDE
    )
  endif()"
)


##### optional stuff ############################

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )
option( WITH_ARTS "Enable aRts support" ${WITH_ALL_OPTIONS} )
option( WITH_SASL "Enable cyrus-sasl support" ${WITH_ALL_OPTIONS} )
option( WITH_NEWDISTRLISTS "Enable the new distribution lists" ON )
option( WITH_GNOKII "Enable gnokii support" ${WITH_ALL_OPTIONS} )
option( WITH_EXCHANGE "Enable Microsoft Exchange 2000 support" ${WITH_ALL_OPTIONS} )
option( WITH_EGROUPWARE "Enable egroupware support" ${WITH_ALL_OPTIONS} )
option( WITH_KOLAB "Enable kolab support" ${WITH_ALL_OPTIONS} )
option( WITH_SLOX "Enable slox support" ${WITH_ALL_OPTIONS} )
option( WITH_GROUPWISE "Enable groupwise support" ${WITH_ALL_OPTIONS} )
option( WITH_FEATUREPLAN "Enable featureplan support" ${WITH_ALL_OPTIONS} )
option( WITH_GROUPDAV "Enable groupdav support" ${WITH_ALL_OPTIONS} )
option( WITH_BIRTHDAYS "Enable birthdays support" ${WITH_ALL_OPTIONS} )
option( WITH_NEWEXCHANGE "Enable newexchange support" ${WITH_ALL_OPTIONS} )
option( WITH_SCALIX "Enable scalix support" ${WITH_ALL_OPTIONS} )
option( WITH_CALDAV "Enable caldav support" ${WITH_ALL_OPTIONS} )
option( WITH_CARDDAV "Enable carddav support" ${WITH_ALL_OPTIONS} )
option( WITH_INDEXLIB "Enable indexlib support (in kmail)" ${WITH_ALL_OPTIONS} )
option( WITH_XSCREENSAVER "Enable xscreensaver support (idle detection in karm)" ${WITH_ALL_OPTIONS} )

if( NOT WITH_ARTS )
  set( WITHOUT_ARTS 1 )
endif( )

if( WITH_NEWDISTRLISTS )
  set( TDEPIM_NEW_DISTRLISTS 1 )
endif( )


##### options comments ##########################

# WITH_ARTS   affects kalarm
# WITH_ARTS   description without arts kalarm won't play sounds
#                         with messages.
# WITH_SASL   affects tdeioslave(sieve imap4)
# WITH_SASL   description sieve tdeioslave won't build without sasl and 
#	                      imap4 tdeioslave will lose the ability of SASL
#	                      authentification
# WITH_SASL   requires libgsasl
# WITH_NEWDISTRLISTS affects kabc kadressbook
# WITH_NEWDISTRLISTS description if set use new version of the KAB
#                                Distribution Mail List Plugin otherwise use
#                                the old one.
# 
# WITH_GNOKII        affects kphonebook kmobile
# WITH_GNOKII        description in kphonebook gnoki adds some
#                                phone-synchronization features
# WITH_EXCHANGE      affects tderesources korganizer
# WITH_EGROUPWARE    affects tderesources wizards
# WITH_KOLAB         affects tderesources wizards
# WITH_SLOX          affects tderesources wizards
# WITH_GROUPWISE     affects tderesources wizards
# WITH_FEATUREPLAN   affects tderesources
# WITH_GROUPDAV      affects tderesources
# WITH_BIRTHDAYS     affects tderesources
# WITH_NEWEXCHANGE   affects tderesources wizards
# WITH_SCALIX        affects tderesources wizards
# WITH_CALDAV        affects tderesources
# WITH_CARDDAV       affects tderesources
# WITH_INDEXLIB      affects kmail


# NOTE: WITH_GNOKII support in kmobile is outdated and permanently disabled
#       for now
# NOTE: WITH_{EGROUPWARE,KOLAB,SLOX,GROUPWISE,FEATUREPLAN,GROUPDAV,BIRTHDAYS,
#             NEWEXCHANGE,SCALIX,CALDAV,CARDDAV} in tderesources selects which
#       its modules would be built. 


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_INDEXLIB "Build indexlib" ${BUILD_ALL} )
option( BUILD_LIBKMIME "Build libkmime" ${BUILD_ALL} )
option( BUILD_KTNEF "Build ktnef" ${BUILD_ALL} )
option( BUILD_LIBKCAL "Build libkcal" ${BUILD_ALL} )
option( BUILD_LIBTDEPIM "Build libtdepim" ${BUILD_ALL} )
option( BUILD_LIBKPIMIDENTITIES "Build libkpimidentities" ${BUILD_ALL} )
option( BUILD_LIBTDENETWORK "Build libtdenetwork" ${BUILD_ALL} )
option( BUILD_CERTMANAGER "Build certmanager" ${BUILD_ALL} )
option( BUILD_LIBKPGP "Build libkpgp" ${BUILD_ALL} )
option( BUILD_MIMELIB "Build mimelib" ${BUILD_ALL} )
option( BUILD_LIBKSIEVE "Build libksieve" ${BUILD_ALL} )
option( BUILD_LIBKPIMEXCHANGE "Build libkpimexchange" ${BUILD_ALL} )
option( BUILD_TDEIOSLAVE "Build tdeioslave" ${BUILD_ALL} )
option( BUILD_KMAIL "Build kmail" ${BUILD_ALL} )
option( BUILD_AKREGATOR "Build akregator" ${BUILD_ALL} )
option( BUILD_KALARM "Build kalarm" ${BUILD_ALL} )
option( BUILD_KADDRESSBOOK "Build kaddressbook" ${BUILD_ALL} )
option( BUILD_KORN "Build korn" ${BUILD_ALL} )
option( BUILD_KGANTT "Build kgantt" ${BUILD_ALL} )
option( BUILD_LIBKHOLIDAYS "Build libkholidays" ${BUILD_ALL} )
option( BUILD_KORGANIZER "Build korganizer" ${BUILD_ALL} )
option( BUILD_PLUGINS "Build plugins" ${BUILD_ALL} )
option( BUILD_KNOTES "Build knotes" ${BUILD_ALL} )
option( BUILD_KODE "Build kode" ${BUILD_ALL} )
option( BUILD_TDERESOURCES "Build tderesources" ${BUILD_ALL} )
option( BUILD_WIZARDS "Build wizards" ${BUILD_ALL} )
option( BUILD_TDEABC "Build tdeabc" ${BUILD_ALL} )
option( BUILD_KONSOLEKALENDAR "Build konsolekalendar" ${BUILD_ALL} )
option( BUILD_KMAILCVT "Build kmailcvt" ${BUILD_ALL} )
option( BUILD_KARM "Build karm" ${BUILD_ALL} )
option( BUILD_TDEFILE_PLUGINS "Build tdefile-plugins" ${BUILD_ALL} )
option( BUILD_KANDY "Build kandy" ${BUILD_ALL} )
option( BUILD_KNODE "Build knode" ${BUILD_ALL} )
option( BUILD_KMOBILE "Build kmobile" ${BUILD_ALL} )
option( BUILD_DOC "Build doc" ${BUILD_ALL} )
option( BUILD_KONTACT "Build kontact" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### activate dependencies #####################

if( BUILD_LIBKCAL OR BUILD_LIBTDEPIM OR BUILD_LIBKPIMIDENTITIES OR BUILD_TDEIOSLAVE OR BUILD_KMAIL OR BUILD_KNODE )
  add_subdirectory( libemailfunctions )
endif()

if( BUILD_KADDRESSBOOK OR (BUILD_TDERESOURCES AND (WITH_EGROUPWARE OR WITH_BIRTHDAYS)) )
    add_subdirectory( kaddressbook/common )
endif()


##### tdepim directories ########################

tde_conditional_add_subdirectory( BUILD_INDEXLIB indexlib )
tde_conditional_add_subdirectory( BUILD_LIBKMIME libkmime )
tde_conditional_add_subdirectory( BUILD_KTNEF ktnef )
tde_conditional_add_subdirectory( BUILD_LIBKCAL libkcal )
tde_conditional_add_subdirectory( BUILD_LIBTDEPIM pixmaps )
tde_conditional_add_subdirectory( BUILD_LIBTDEPIM libtdepim )
tde_conditional_add_subdirectory( BUILD_LIBKPIMIDENTITIES libkpimidentities )
tde_conditional_add_subdirectory( BUILD_LIBTDENETWORK libtdenetwork )
tde_conditional_add_subdirectory( BUILD_CERTMANAGER certmanager )
tde_conditional_add_subdirectory( BUILD_LIBKPGP libkpgp )
tde_conditional_add_subdirectory( BUILD_MIMELIB mimelib )
tde_conditional_add_subdirectory( BUILD_LIBKSIEVE libksieve )
tde_conditional_add_subdirectory( BUILD_LIBKPIMEXCHANGE libkpimexchange )
tde_conditional_add_subdirectory( BUILD_TDEIOSLAVE tdeioslave )
tde_conditional_add_subdirectory( BUILD_KMAIL kmail )
tde_conditional_add_subdirectory( BUILD_AKREGATOR akregator )
tde_conditional_add_subdirectory( BUILD_KALARM kalarm )
tde_conditional_add_subdirectory( BUILD_KADDRESSBOOK kaddressbook )
tde_conditional_add_subdirectory( BUILD_KORN korn )
tde_conditional_add_subdirectory( BUILD_KGANTT kgantt )
tde_conditional_add_subdirectory( BUILD_LIBKHOLIDAYS libkholidays )
tde_conditional_add_subdirectory( BUILD_KORGANIZER kdgantt )
tde_conditional_add_subdirectory( BUILD_KORGANIZER korganizer )
tde_conditional_add_subdirectory( BUILD_PLUGINS plugins )
tde_conditional_add_subdirectory( BUILD_KNOTES knotes )
tde_conditional_add_subdirectory( BUILD_KODE kode )
tde_conditional_add_subdirectory( BUILD_TDERESOURCES tderesources )
tde_conditional_add_subdirectory( BUILD_WIZARDS wizards )
tde_conditional_add_subdirectory( BUILD_TDEABC tdeabc )
tde_conditional_add_subdirectory( BUILD_KONSOLEKALENDAR konsolekalendar )
tde_conditional_add_subdirectory( BUILD_KMAILCVT kmailcvt )
tde_conditional_add_subdirectory( BUILD_KARM karm )
tde_conditional_add_subdirectory( BUILD_TDEFILE_PLUGINS tdefile-plugins )
tde_conditional_add_subdirectory( BUILD_KANDY kandy )
tde_conditional_add_subdirectory( BUILD_KNODE knode )
tde_conditional_add_subdirectory( BUILD_KMOBILE kmobile )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_KONTACT kontact )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== indexlib/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( indexlib )

include( ConfigureChecks.cmake )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -include compat.h ${USE_EXCEPTIONS}" )

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
)


##### headers ###################################

install( FILES
    create.h index.h lockfile.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/index )


##### other data ################################

configure_file( indexlib-config.in indexlib-config @ONLY )

install( PROGRAMS
    ${CMAKE_CURRENT_BINARY_DIR}/indexlib-config
  DESTINATION ${BIN_INSTALL_DIR} )


##### index (shared) ############################

tde_add_library( index SHARED
  SOURCES
    bitstream.cpp compressed.cpp create.cpp exception.cpp ifile.cpp
    leafdata.cpp leafdatavector.cpp lockfile.cpp logfile.cpp match.cpp
    mmap_manager.cpp quotes.cpp slow.cpp stringarray.cpp stringset.cpp
    tokenizer.cpp
  VERSION 0.0.0
  LINK z
  DESTINATION ${LIB_INSTALL_DIR}
)


##### install import cmake modules ###############

tde_install_export( )

=== kaddressbook/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( kaddressbook )

tde_import( libtdenetwork )
tde_import( certmanager )
tde_import( libkmime )
tde_import( ktnef )
tde_import( libkcal )
tde_import( libtdepim )

add_subdirectory( interfaces )
add_subdirectory( printing )
add_subdirectory( editors )
add_subdirectory( views )
add_subdirectory( features )
add_subdirectory( xxport )
add_subdirectory( kcmconfigs )
add_subdirectory( pics )
add_subdirectory( csv-templates )
add_subdirectory( thumbnailcreator )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/common
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/common
  ${CMAKE_CURRENT_SOURCE_DIR}/interfaces
  ${CMAKE_CURRENT_SOURCE_DIR}/editors
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( kaddressbook )

tde_create_translated_desktop(
  SOURCE kaddressbook.desktop
  PO_DIR kaddressbook-desktops
)

tde_create_translated_desktop(
  SOURCE kaddressbook_view.desktop dcopaddressbook.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR}
  PO_DIR kaddressbook-desktops
)

install( FILES
    kaddressbookui.rc kaddressbook_part.rc zone.tab
  DESTINATION ${DATA_INSTALL_DIR}/kaddressbook )


##### libkaddressbookpart (module) ##############

tde_add_kpart( libkaddressbookpart AUTOMOC
  SOURCES kaddressbook_part.cpp
  LINK kaddressbook-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kaddressbook (executable) #################

tde_add_executable( kaddressbook AUTOMOC
  SOURCES main.cpp kaddressbookmain.cpp
  LINK kaddressbook-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kaddressbook (shared) #####################

tde_add_library( kaddressbook SHARED AUTOMOC
  SOURCES
    addresseeconfig.cpp addresseeeditordialog.cpp addresseeeditorwidget.cpp
    addresseeeditorbase.cpp addresseeeditorextension.cpp addresseeutil.cpp
    addresseditwidget.cpp addviewdialog.cpp emaileditwidget.cpp
    extensionmanager.cpp filtereditdialog.cpp filterselectionwidget.cpp
    geowidget.cpp imagewidget.cpp incsearchwidget.cpp jumpbuttonbar.cpp kabcore.cpp
    kablock.cpp kaddressbookiface.skel kaddressbookservice.cpp kaddressbookview.cpp
    keywidget.cpp ldapsearchdialog.cpp nameeditdialog.cpp phoneeditwidget.cpp
    secrecywidget.cpp soundwidget.cpp viewconfigurefieldspage.cpp
    viewconfigurefilterpage.cpp viewconfigurewidget.cpp undocmds.cpp
    viewmanager.cpp xxportmanager.cpp xxportselectdialog.cpp
    contacteditorwidgetmanager.cpp simpleaddresseeeditor.cpp
    advancedcustomfields.cpp customfieldswidget.cpp freebusywidget.cpp
    searchmanager.cpp imeditwidget.cpp kabtools.cpp distributionlistpicker.cpp
    distributionlisteditor.cpp distributionlistentryview.cpp
  VERSION 0.0.0
  LINK
    kabcommon-static kabim-static printer-static
    kabinterfaces-shared
    tdepim-shared tdeabc_file-shared tdeprint-shared tdeutils-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### install import cmake modules ###############

tde_install_export( )

=== kode/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( kxml_compiler )

include_directories(
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kode (executable) #########################

tde_add_executable( kode
  SOURCES kodemain.cpp
  LINK kode-shared tdeabc-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kode (shared) #############################

tde_add_library( kode SHARED
  SOURCES
    code.cpp enum.cpp style.cpp printer.cpp license.cpp file.cpp class.cpp
    function.cpp variable.cpp membervariable.cpp typedef.cpp statemachine.cpp
    automakefile.cpp
  VERSION 1.0.0
  LINK tdecore-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

=== konsolekalendar/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_import( libkmime )
tde_import( ktnef )
tde_import( libkcal )
tde_import( libtdepim )

add_subdirectory( pixmaps )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop( konsolekalendar.desktop )


##### helper ####################################

macro( process_kcfg _who _out _path _kcfg _kcfgc )
  add_custom_command( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_path}/${_out}
    COMMAND
      mkdir -p ${CMAKE_CURRENT_BINARY_DIR}/${_path}
    COMMAND ${KDE3_KCFGC_EXECUTABLE}
      -d ${CMAKE_CURRENT_BINARY_DIR}/${_path}
      ${CMAKE_SOURCE_DIR}/${_path}/${_kcfg}
      ${CMAKE_SOURCE_DIR}/${_path}/${_kcfgc}
    DEPENDS
      ${CMAKE_SOURCE_DIR}/${_path}/${_kcfg}
      ${CMAKE_SOURCE_DIR}/${_path}/${_kcfgc} )
  set_property( SOURCE ${_who} APPEND
    PROPERTY OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_path}/${_out} )
endmacro( )


##### konsolekalendar (executable) ##############

process_kcfg( konsolekalendar.cpp htmlexportsettings.h libkcal
  htmlexportsettings.kcfg htmlexportsettings.kcfgc )

tde_add_executable( konsolekalendar AUTOMOC
  SOURCES
    konsolekalendarepoch.cpp konsolekalendardelete.cpp
    konsolekalendarchange.cpp konsolekalendarvariables.cpp
    konsolekalendaradd.cpp konsolekalendarexports.cpp konsolekalendar.cpp
    stdcalendar.cpp main.cpp
  LINK tdepim-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== korganizer/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( korganizer )

include( ConfigureChecks.cmake )
configure_file( ical2vcal.in ical2vcal @ONLY )

tde_import( libtdepim )
tde_import( libkmime )
tde_import( ktnef )
tde_import( libkcal )
tde_import( libtdenetwork )
tde_import( certmanager )
tde_import( libkpimidentities )
tde_import( libkholidays )

add_subdirectory( printing )
add_subdirectory( korgac )
add_subdirectory( pixmaps )
add_subdirectory( sounds )
add_subdirectory( plugins )
add_subdirectory( interfaces )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/interfaces
  ${CMAKE_CURRENT_SOURCE_DIR}/printing
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libkholidays
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${CMAKE_SOURCE_DIR}/certmanager/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( )

tde_create_translated_desktop(
  SOURCE korganizer.desktop
  PO_DIR korganizer-desktops
)

tde_create_translated_desktop(
  SOURCE dcopcalendar.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR}
  PO_DIR korganizer-desktops
)

tde_create_translated_desktop(
  SOURCE
    korganizer_configmain.desktop korganizer_configtime.desktop
    korganizer_configviews.desktop korganizer_configcolors.desktop
    korganizer_configfonts.desktop korganizer_configplugins.desktop
    korganizer_configgroupscheduling.desktop korganizer_configfreebusy.desktop
    korganizer_configdesignerfields.desktop webcal.protocol
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR korganizer-desktops
)

install( FILES
    uninstall.desktop
  RENAME korganizer_configgroupautomation.desktop
  DESTINATION ${SERVICES_INSTALL_DIR} )

install( FILES
    uninstall.desktop
  RENAME webexport.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/korganizer )

install( FILES
    uninstall.desktop
  RENAME holidays.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/korganizer )

install( FILES
    korganizer.kcfg
  DESTINATION ${KCFG_INSTALL_DIR} )

install( FILES
    korganizer.upd
  DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )

install( FILES
    tips korganizerui.rc korganizer_part.rc
  DESTINATION ${DATA_INSTALL_DIR}/korganizer )

install( PROGRAMS
    ${CMAKE_CURRENT_BINARY_DIR}/ical2vcal
  DESTINATION ${BIN_INSTALL_DIR} )


##### korganizer (executable) ###################

tde_add_executable( korganizer AUTOMOC
  SOURCES main.cpp korganizer.cpp koapp.cpp
  LINK korganizer-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kcm_korganizer (module) ###################

tde_add_kpart( kcm_korganizer AUTOMOC
  SOURCES koprefsdialog.cpp
  LINK korganizer-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### libkorganizerpart (module) ################

tde_add_kpart( libkorganizerpart AUTOMOC
  SOURCES korganizer_part.cpp
  LINK korganizer-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### korganizer_calendar (shared) ##############

tde_add_library( korganizer_calendar SHARED
  SOURCES stdcalendar.cpp
  VERSION 1.0.0
  LINK tdepim-shared kcal-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### korganizer_eventviewer (shared) ###########

set( target korganizer_eventviewer )

set( ${target}_SRCS
  koeventviewer.cpp urihandler.cpp koeventviewerdialog.cpp )

tde_save( KDE3_DCOPIDL_EXECUTABLE )
set( KDE3_DCOPIDL_EXECUTABLE ${KDE3_DCOPIDLNG_EXECUTABLE} )
tde_add_dcop_stubs( ${target}_SRCS ${CMAKE_SOURCE_DIR}/kmail/kmailIface.h )
tde_restore( KDE3_DCOPIDL_EXECUTABLE )

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
  VERSION 1.0.0
  LINK kcal-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### helper ####################################

macro( process_kcfg _who _out _path _kcfg _kcfgc )
  add_custom_command( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_path}/${_out}
    COMMAND
      mkdir -p ${CMAKE_CURRENT_BINARY_DIR}/${_path}
    COMMAND ${KDE3_KCFGC_EXECUTABLE}
      -d ${CMAKE_CURRENT_BINARY_DIR}/${_path}
      ${CMAKE_SOURCE_DIR}/${_path}/${_kcfg}
      ${CMAKE_SOURCE_DIR}/${_path}/${_kcfgc}
    DEPENDS
      ${CMAKE_SOURCE_DIR}/${_path}/${_kcfg}
      ${CMAKE_SOURCE_DIR}/${_path}/${_kcfgc} )
  set_property( SOURCE ${_who} APPEND
    PROPERTY OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_path}/${_out} )
endmacro( )


##### korganizer (shared) #######################

process_kcfg( calendarview.cpp htmlexportsettings.h libkcal
  htmlexportsettings.kcfg htmlexportsettings.kcfgc )

tde_add_library( korganizer SHARED AUTOMOC
  META_INCLUDES ${CMAKE_CURRENT_SOURCE_DIR}/interfaces/korganizer
  SOURCES
    komessagebox.cpp koagendaview.cpp koagenda.cpp koagendaitem.cpp
    datenavigator.cpp kdatenavigator.cpp datenavigatorcontainer.cpp
    datechecker.cpp komonthview.cpp searchdialog.cpp calendarview.cpp
    koviewmanager.cpp kodialogmanager.cpp archivedialog.cpp kohelper.cpp
    komailclient.cpp kotodoview.cpp kotodoviewitem.cpp kolistview.cpp
    koincidenceeditor.cpp koeventeditor.cpp kotodoeditor.cpp kojournaleditor.cpp
    koprefs.cpp kowindowlist.cpp koeditorgeneral.cpp koeditorgeneralevent.cpp
    koeditorgeneraltodo.cpp koeditorgeneraljournal.cpp koeditordetails.cpp
    koeditoralarms_base.ui koeditoralarms.cpp koeditorrecurrence.cpp
    koeditorattachments.cpp kogroupwareprefspage.ui koeventpopupmenu.cpp
    koeditorfreebusy.cpp publishdialog_base.ui publishdialog.cpp
    koeventview.cpp korganizeriface.skel kcalendariface.skel filtereditdialog.cpp
    filteredit_base.ui kowhatsnextview.cpp kojournalview.cpp journalentry.cpp
    kocore.cpp mailscheduler.cpp kodaymatrix.cpp docprefs.cpp statusdialog.cpp
    koglobals.cpp konewstuff.cpp actionmanager.cpp resourceview.cpp
    navigatorbar.cpp kogroupware.cpp history.cpp koprefs_base.kcfgc
    koincidencetooltip.cpp aboutdata.cpp importdialog.cpp previewdialog.cpp
    korganizerifaceimpl.cpp freebusymanager.cpp freebusyurldialog.cpp
    eventarchiver.cpp koidentitymanager.cpp exportwebdialog.cpp
    kocorehelper.cpp incidencechanger.cpp template_management_dialog_base.ui
    templatemanagementdialog.cpp agendaview.cpp multiagendaview.cpp
    timelineitem.cpp kotimelineview.cpp koattendeeeditor.cpp timelabels.cpp
  VERSION 1.0.0
  LINK
    kdgantt-static
    korganizer_eventviewer-shared korganizer_calendar-shared korg_stdprinting-shared
    kholidays-shared kpimidentities-shared
    tdeutils-shared tdenewstuff-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### install import cmake modules ###############

tde_install_export( )

=== korn/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

# FIXME KDE_CXXFLAGS = $(USE_RTTI)

tde_import( libkmime )

add_subdirectory( tdeconf_update )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libkmime
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( korn )
tde_create_translated_desktop( KOrn.desktop )


##### korn (executable) #########################

tde_add_executable( korn AUTOMOC
  SOURCES
    accountmanager.cpp account_input.cpp boxcontainer.cpp boxcontaineritem.cpp
    boxcontaineritem.skel dcopdrop.cpp dcopdropif.cpp dcopdropif.skel
    dcop_proto.cpp dockedcontainer.cpp dockeditem.cpp hvcontainer.cpp hvitem.cpp
    keditlistboxman.cpp nntp_proto.cpp maildrop.cpp main.cpp polldrop.cpp
    protocols.cpp kornshell.cpp subjectsdlg.cpp maildlg.cpp mailid.cpp
    mailsubject.cpp mbox_proto.cpp imap_proto.cpp intid.cpp stringid.cpp
    kornapp.cpp tdeio.cpp tdeio_count.cpp tdeio_proto.cpp tdeio_subjects.cpp
    tdeio_single_subject.cpp tdeio_read.cpp tdeio_delete.cpp kmail_proto.cpp
    sortedmailsubject.cpp korncfgimpl.cpp kornaccountcfgimpl.cpp kornboxcfgimpl.cpp
    kornaccountcfg.ui kornboxcfg.ui korncfg.ui password.cpp pop3_proto.cpp
    systemtray.cpp process_proto.cpp progress_dialog.ui qmail_proto.cpp label.cpp
  LINK kmime-shared tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== libkholidays/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( libkholidays )

include( ConfigureChecks.cmake )

add_subdirectory( holidays )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kholidays (shared) ########################
add_custom_command(
  OUTPUT parseholiday.c parseholiday.h
  COMMAND ${BISON_EXECUTABLE} -p kcal -d  -o parseholiday.c ${CMAKE_CURRENT_SOURCE_DIR}/parseholiday.y
)

add_custom_command(
  OUTPUT scanholiday.c
  COMMAND ${FLEX_EXECUTABLE} -Pkcal -B -i -o scanholiday.c ${CMAKE_CURRENT_SOURCE_DIR}/scanholiday.lex
)

add_custom_target(
  libkholiday_file_generation
  DEPENDS
    ${CMAKE_CURRENT_BINARY_DIR}/parseholiday.c
    ${CMAKE_CURRENT_BINARY_DIR}/parseholiday.h
    ${CMAKE_CURRENT_BINARY_DIR}/scanholiday.c
)

tde_add_library( kholidays SHARED AUTOMOC
  SOURCES
    kholidays.cpp scanholiday.c parseholiday.h parseholiday.c lunarphase.cpp
  VERSION 1.0.0
  LINK tdecore-shared
  DEPENDENCIES libkholiday_file_generation
  DESTINATION ${LIB_INSTALL_DIR}
)


##### install import cmake modules ###############

tde_install_export( )

=== libksieve/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( libksieve )

add_subdirectory( ksieve )
add_subdirectory( shared )
add_subdirectory( parser )

include_directories(
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### ksieve (shared) ###########################

configure_file( ${TDE_CMAKE_TEMPLATES}/tde_dummy_cpp.cmake dummy.cpp COPYONLY )

tde_add_library( ksieve SHARED
  SOURCES dummy.cpp
  VERSION 0.0.0
  EMBED ksieve_parser-static ksieve_shared-static
  LINK tdecore-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

tde_install_export( )

=== libtdepim/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( libtdepim )

tde_import( libkmime )
tde_import( libkcal )
tde_import( ktnef )

add_subdirectory( icons )
add_subdirectory( pics )
add_subdirectory( tdepartsdesignerplugin )
add_subdirectory( about )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES kpimprefs.h DESTINATION ${INCLUDE_INSTALL_DIR} )


##### other data ################################

install( FILES pimemoticons.kcfg DESTINATION ${KCFG_INSTALL_DIR} )


##### tdepimwidgets (module) ####################

add_custom_command( OUTPUT tdepimwidgets.cpp
  COMMAND
    ${KDE3_MAKETDEWIDGETS_EXECUTABLE}
    -o tdepimwidgets.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/tdepim.widgets
  DEPENDS
    ${CMAKE_CURRENT_SOURCE_DIR}/tdepim.widgets )

set_source_files_properties( tdepimwidgets.cpp PROPERTIES COMPILE_FLAGS "-DQT_PLUGIN" )

tde_add_kpart( tdepimwidgets
  SOURCES tdepimwidgets.cpp
  LINK tdepim-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer
)


##### tdepim (shared) ###########################

set( KDE3_DCOPIDL_EXECUTABLE ${KDE3_DCOPIDLNG_EXECUTABLE} )

tde_add_library( tdepim SHARED AUTOMOC
  SOURCES
    ktimeedit.cpp alarmclient.cpp kprefsdialog.cpp kpimprefs.cpp
    categoryselectdialog_base.ui categoryselectdialog.cpp
    categoryeditdialog_base.ui categoryeditdialog.cpp kdateedit.cpp
    kimportdialog.cpp kvcarddrag.cpp sidebarextension.cpp
    infoextension.cpp addressesdialog.cpp addresspicker.ui
    addresseeview.cpp maillistdrag.cpp interfaces/MailTransportServiceIface.skel
    interfaces/AddressBookServiceIface.skel tdeconfigpropagator.cpp tdeconfigwizard.cpp
    weaver.cpp weaverextensions.cpp weaverlogger.cpp pluginloaderbase.cpp
    addresseelineedit.cpp addresseelineedit.skel kdatepickerpopup.cpp
    tdefileio.cpp clicklineedit.cpp configmanager.cpp collectingprocess.cpp
    ldapclient.cpp overlaywidget.cpp progressmanager.cpp progressdialog.cpp
    statusbarprogresswidget.cpp ssllabel.cpp completionordereditor.cpp
    resourceabc.cpp diffalgo.cpp addresseediffalgo.cpp calendardiffalgo.cpp
    htmldiffalgodisplay.cpp ldapsearchdialog.cpp broadcaststatus.cpp
    kresourceprefs.cpp kpixmapregionselectorwidget.cpp
    kpixmapregionselectordialog.cpp tdeabcresourcecached.cpp
    kxface.cpp kaccount.cpp kaddrbook.cpp kfoldertree.cpp kregexp3.cpp
    kscoring.cpp kscoringeditor.cpp ksubscription.cpp kwidgetlister.cpp
    linklocator.cpp qutf7codec.cpp recentaddresses.cpp spellingfilter.cpp
    addresseeselector.cpp addresseeemailselection.cpp designerfields.cpp
    kcmdesignerfields.cpp embeddedurlpage.cpp kincidencechooser.cpp
    groupwarejob.cpp pimemoticons.kcfgc krsqueezedtextlabel.cpp
    csshelper.cpp distributionlist.cpp kpimurlrequesterdlg.cpp
    sendsmsdialog.cpp kmailcompletion.cpp
  VERSION 1.0.0
  LINK kcal-shared tdeimproxy-shared tdeparts-shared tqui
  DESTINATION ${LIB_INSTALL_DIR}
)


##### install import cmake modules ###############

tde_install_export( )

=== mimelib/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( mimelib )

add_subdirectory( mimelib )

add_definitions(
  -DDW_DEVELOPMENT_VERSION
  -D_REENTRANT
)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### mimelib (shared) ##########################

tde_add_library( mimelib SHARED
  SOURCES
    protocol.cpp address.cpp addrlist.cpp body.cpp
    bodypart.cpp boyermor.cpp datetime.cpp disptype.cpp
    dw_cte.cpp dw_date.cpp dw_mime.cpp entity.cpp
    field.cpp fieldbdy.cpp group.cpp headers.cpp mailbox.cpp
    mboxlist.cpp mechansm.cpp mediatyp.cpp message.cpp
    msgcmp.cpp msgid.cpp nntp.cpp param.cpp pop.cpp
    dwstring.cpp text.cpp token.cpp uuencode.cpp
    binhex.cpp
  VERSION 1.0.1
  LINK ${TQT_LIBRARIES} ${TDE_LIB_DIR}/libtdefakes_pic.a
  DESTINATION ${LIB_INSTALL_DIR}
)

tde_install_export( )

=== tdeioslave/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( imap4 )
add_subdirectory( mbox )

if( WITH_SASL )
  add_subdirectory( sieve )
else( )
  message( "*** sieve tdeioslave will not be built (because lack of sasl support)" )
endif( )

=== debian/changelog ===
tdepim-trinity (4:14.2.0~pre142-0ubuntu25.10.0+10) questing; urgency=low

  * Automated git build for 9cba52866aa4b45b8486024660d86d3f0740ef88
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
Source: tdepim-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build,
 tdelibs14-trinity-dev, bison, byacc, bzip2,
 flex, groff-base, libogg-dev,
 libboost-dev (>= 1.33.1), libgpgme11-dev | libgpgme-dev (>= 1.0~),
 libreadline-dev | libreadline6-dev | libreadline5-dev, libsasl2-dev, libssl-dev,
 libxpm-dev, libxss-dev, texinfo, dpkg-dev (>= 1.14.4),
 libgpg-error-dev (>= 1.4-2), gpgsm, libical-dev,
 libcaldav-dev (>= 0.6.5), libcarddav-dev (>= 0.6.2), libcurl4-gnutls-dev
Build-Depends-Indep: doxygen, graphviz, gsfonts-x11, tdelibs14-trinity-doc
Build-Conflicts: libkleopatra0-trinity-dev
Standards-Version: 3.8.4

Package: tdepim-trinity
Section: tde
Architecture: all
Replaces: kdepim-kde3 (<< 4:14.0.0~), kdepim-trinity (<< 4:14.0.0~)
Breaks: kdepim-kde3 (<< 4:14.0.0~), kdepim-trinity (<< 4:14.0.0~)
Depends: akregator-trinity (>= ${source:Version}), kaddressbook-trinity (>= ${source:Version}), kalarm-trinity (>= ${source:Version}), kandy-trinity (>= ${source:Version}), karm-trinity (>= ${source:Version}), tdepim-tdefile-plugins-trinity (>= ${source:Version}), tdepim-tdeio-plugins-trinity (>= ${source:Version}), tdepim-tderesources-trinity (>= ${source:Version}), tdepim-wizards-trinity (>= ${source:Version}), kleopatra-trinity (>= ${source:Version}), kmail-trinity (>= ${source:Version}), kmailcvt-trinity (>= ${source:Version}), knode-trinity (>= ${source:Version}), knotes-trinity (>= ${source:Version}), konsolekalendar-trinity (>= ${source:Version}), kontact-trinity (>= ${source:Version}), korganizer-trinity (>= ${source:Version}), korn-trinity (>= ${source:Version}), ktnef-trinity (>= ${source:Version}), libindex0-trinity (>= ${source:Version}), libtdepim1a-trinity (>= ${source:Version}), libkgantt0-trinity (>= ${source:Version}), libkleopatra1-trinity (>= ${source:Version}) | libkleopatra1t64-trinity (>= ${source:Version}), libkpimexchange1-trinity (>= ${source:Version}), libkpimidentities1-trinity (>= ${source:Version}), libksieve0-trinity (>= ${source:Version}), libktnef1-trinity (>= ${source:Version}), libmimelib1c2a-trinity (>= ${source:Version}) | libmimelib1t64-trinity (>= ${source:Version})
Suggests: tdepim-trinity-doc-html
Description: Personal Information Management apps from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of Personal Information Management
 (PIM) applications provided with the official release of Trinity.
 .
  Homepage: http://pim.kde.org/

Package: tdepim-trinity-dbg
Priority: extra
Section: libdevel
Replaces: kdepim-kde3-dbg (<< 4:14.0.0~), kdepim-trinity-dbg (<< 4:14.0.0~)
Breaks: kdepim-kde3-dbg (<< 4:14.0.0~), kdepim-trinity-dbg (<< 4:14.0.0~)
Depends: tdelibs-trinity-dbg
Architecture: any
Description: debugging symbols for tdepim-trinity
 This package contains the debugging symbols associated with tdepim-trinity.
 They will automatically be used by gdb for debugging tdepim-related
 issues.

Package: tdepim-trinity-dev
Section: devel
Architecture: any
Replaces: kdepim-kde3-dev (<< 4:14.0.0~), kdepim-trinity-dev (<< 4:14.0.0~)
Breaks: kdepim-kde3-dev (<< 4:14.0.0~), kdepim-trinity-dev (<< 4:14.0.0~)
Depends: kaddressbook-trinity (= ${source:Version}),
 kalarm-trinity (= ${source:Version}),
 tdepim-tderesources-trinity (= ${source:Version}),
 kmail-trinity (= ${source:Version}),
 knotes-trinity (= ${source:Version}),
 kontact-trinity (= ${source:Version}),
 korganizer-trinity (= ${source:Version}),
 libkpimidentities1-trinity (= ${source:Version}),
 libical-dev,
 libtdepim1-trinity-dev (= ${source:Version}),
 libkgantt0-trinity-dev (= ${source:Version}),
 libkleopatra1-trinity-dev (= ${source:Version}),
 libkpimexchange1-trinity-dev (= ${source:Version}),
 libksieve0-trinity-dev (= ${source:Version}),
 libktnef1-trinity-dev (= ${source:Version}),
 libmimelib1-trinity-dev (= ${source:Version})
Description: TDE Personal Information Management [development]
 This package contains development files needed to compile tdepim applications.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.
 . 
  Homepage: http://pim.kde.org/
  
Package: tdepim-trinity-doc
Section: doc
Architecture: all
Replaces: kdepim-kde3-doc (<< 4:14.0.0~), kdepim-trinity-doc (<< 4:14.0.0~)
Breaks: kdepim-kde3-doc (<< 4:14.0.0~), kdepim-trinity-doc (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, doc-base
Description: TDE Personal Information Management library documentation
 TDE core library documentation. You need this documentation to develop TDE PIM
 applications.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.
 . 
  Homepage: http://pim.kde.org/
  
Package: tdepim-trinity-doc-html
Section: doc
Architecture: all
Replaces: kdepim-kde3-doc-html (<< 4:14.0.0~), kdepim-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdepim-kde3-doc-html (<< 4:14.0.0~), kdepim-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdepim-trinity
Description: TDE PIM documentation in HTML format
 By default the Personal Information Management applications provided with
 TDE only provide their documentation in TDE docbook format, which can only
 be read by Konqueror or KHelpCenter. This package provides all of the
 TDE PIM documentation converted to HTML format so it can be read with any
 web browser.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.
 . 
  Homepage: http://pim.kde.org/

Package: akregator-trinity
Section: web
Architecture: any
Replaces: akregator-kde3 (<< 4:14.0.0~), akregator-trinity (<< 4:14.0.0~)
Breaks: akregator-kde3 (<< 4:14.0.0~), akregator-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: RSS feed aggregator for TDE
 aKregator is a fast, lightweight, and intuitive feed reader program
 for TDE.  It allows you to quickly browse through hundreds of
 thousands of internet feeds in a quick, efficient, and familiar way.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.
 .
  Homepage: http://akregator.kde.org/

Package: kaddressbook-trinity
Section: utils
Architecture: any
Replaces: kaddressbook-kde3 (<< 4:14.0.0~), kaddressbook-trinity (<< 4:14.0.0~)
Breaks: kaddressbook-kde3 (<< 4:14.0.0~), kaddressbook-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: tdepim-tderesources-trinity, tdebase-tdeio-plugins-trinity
Description: TDE NG addressbook application
 KAddressBook is the main address book application for TDE; it enables you
 to manage your contacts efficiently and comfortably. It can load and save
 your contacts to many different locations, including the local file system,
 LDAP servers, and SQL databases.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: kalarm-trinity
Section: tde
Architecture: any
Replaces: kalarm-kde3 (<< 4:14.0.0~), kalarm-trinity (<< 4:14.0.0~)
Breaks: kalarm-kde3 (<< 4:14.0.0~), kalarm-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: kmix-trinity, kttsd-trinity
Description: Trinity alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file, It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
 .
 As an alternative to using the graphical interface, alarms can be scheduled
 from the command line or via DCOP calls from other programs. KAlarm is
 TDE-based, but will also run on other desktops.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: kandy-trinity
Section: utils
Architecture: any
Replaces: kandy-kde3 (<< 4:14.0.0~), kandy-trinity (<< 4:14.0.0~)
Breaks: kandy-kde3 (<< 4:14.0.0~), kandy-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Trinity mobile phone utility
 At the moment Kandy is more or less a terminal program with some special
 features to store commands and their parameters, but is also has a simple GUI
 to access the phone book of a mobile phone and it is able to save this phone
 book to the TDE address book.
 .
 Kandy is aimed at mobile phones with integrated (GSM) modems.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: karm-trinity
Section: utils
Architecture: any
Replaces: karm-kde3 (<< 4:14.0.0~), karm-trinity (<< 4:14.0.0~)
Breaks: karm-kde3 (<< 4:14.0.0~), karm-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Trinity time tracker tool
 KArm is a time tracker for busy people who need to keep track of the amount of
 time they spend on various tasks.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: tdepim-tdefile-plugins-trinity
Section: tde
Architecture: any
Replaces: kdepim-kfile-plugins-kde3 (<< 4:14.0.0~), kdepim-kfile-plugins-trinity (<< 4:14.0.0~)
Breaks: kdepim-kfile-plugins-kde3 (<< 4:14.0.0~), kdepim-kfile-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: TDE File dialog plugins for palm and vcf files
 File dialog plugins for palm and vcf files.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: tdepim-tdeio-plugins-trinity
Section: tde
Architecture: any
Replaces: kdepim-kio-plugins-kde3 (<< 4:14.0.0~), kdepim-kio-plugins-trinity (<< 4:14.0.0~)
Breaks: kdepim-kio-plugins-kde3 (<< 4:14.0.0~), kdepim-kio-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Trinity pim I/O Slaves
 This package includes the pim tdeioslaves. This includes imap4, sieve,
 and mbox.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: tdepim-tderesources-trinity
Section: tde
Architecture: any
Replaces: kdepim-kresources-kde3 (<< 4:14.0.0~), kdepim-kresources-trinity (<< 4:14.0.0~)
Breaks: kdepim-kresources-kde3 (<< 4:14.0.0~), kdepim-kresources-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: ${shlibs:Recommends}, korganizer-trinity
Suggests: knotes-trinity
Description: Trinity pim resource plugins
 This package includes several plugins needed to interface with groupware
 servers. It also includes plugins for features such as blogging and
 tracking feature plans.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: tdepim-wizards-trinity
Section: tde
Architecture: any

## tdepim-trinity 14.2.0~pre144

=== debian/changelog ===
tdepim-trinity (4:14.2.0~pre144-0ubuntu26.04.0+10~a) resolute; urgency=low

  * Automated git build for f46ce19b775ac2363dfac0679a606c91b0d52f5e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:11:48 +0100

## tdepim-trinity 14.2.0~pre145

=== debian/changelog ===
tdepim-trinity (4:14.2.0~pre145-0ubuntu26.04.0+10~a) resolute; urgency=low

  * Automated git build for 23bea66601638a5642aed97e01f25efebcf5d534
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 28 Dec 2025 13:31:28 +0100

## tdepim-trinity 14.2.0~pre148

=== debian/changelog ===
tdepim-trinity (4:14.2.0~pre148-0ubuntu25.04.0+10) plucky; urgency=low

  * Automated git build for 9dd508a3c3f71d0cfff68634be6603466a9e16d0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 06 Jan 2026 04:55:08 +0100

## tdepim-trinity 14.2.0~pre150

=== debian/changelog ===
tdepim-trinity (4:14.2.0~pre150-0ubuntu26.04.0+10~a) resolute; urgency=low

  * Automated git build for f635882ce0c9bb0c565b3aaec310b5ed7b306bb3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:12:34 +0100
